=== debian/changelog ===
wine1.2-gecko (1.0.0+1) natty; urgency=low

  * Simplify debian/rules a lot
  * Convert to native package, include upstream source
    - Still a multiverse package, requires a build step on windows
  * debian/control:
    - Bump standards to 3.9.1
    - conflict/replaces (but don't provide) wine-gecko to remove dummy package
    - remove homepage from description and put in proper field
    - Set self to maintainer
    - remove lpia arch
  * debian/copyright: copyright notices, clarify license

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 04 Apr 2011 03:34:48 -0700

wine1.2-gecko (1.0.0-0ubuntu4) lucid; urgency=low

  * debian/control: conflict with wine1.0-gecko

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sun, 25 Apr 2010 22:51:20 -0700

wine1.2-gecko (1.0.0-0ubuntu3) karmic; urgency=low

  * debian/rules: move building to arch-dependent section to fix amd64

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 31 Aug 2009 15:04:25 -0700

wine1.2-gecko (1.0.0-0ubuntu2) karmic; urgency=low

  * debian/rules: use .dirs file instead of manual directory making

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 31 Aug 2009 13:44:32 -0700

wine1.2-gecko (1.0.0-0ubuntu1) karmic; urgency=low

  * New upstream release
  * debian/control: change arch from all to i386, amd64, lpia

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 10 Aug 2009 04:08:37 -0700

wine1.2-gecko (0.9.1-1ubuntu1) karmic; urgency=low

  * Port to karmic and recommend wine1.2
  * Conflict with older Wine geckos
  * Rename Package to wine1.2-gecko (since this is the gecko for Wine1.2)
  * Debian/rules: refer to wine1.2

 -- Scott Ritchie <scottritchie@ubuntu.com>  Wed, 01 Jul 2009 14:17:31 -0700

wine-gecko (0.9.1-0ubuntu2) jaunty; urgency=low

  * No changes upload to port to jaunty

 -- Scott Ritchie <scottritchie@ubuntu.com>  Thu, 30 Apr 2009 22:17:59 -0700

wine-gecko (0.9.1-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * It is unknown what happens if the user downgrades Wine after installing
    - Wine >= 1.1.15 should be safe, however we don't depend on this yet

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sat, 14 Feb 2009 03:29:48 -0800

wine-gecko (0.9.0-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * It is unknown what happens if the user downgrades Wine after installing
    - Wine >= 1.1.12 should be safe, however we don't depend on this yet
  * BUILDING: update information a bit.
    - Jacek Cabin now maintains an upstream git tree with build instructions
  * debian/rules: point to the new version

 -- Scott Ritchie <scottritchie@ubuntu.com>  Fri, 02 Jan 2009 13:41:33 -0800

wine-gecko (0.1.0-0ubuntu1) intrepid; urgency=low

  * Initial debianization by Scott Ritchie.  (LP: #191132)
  * Include MPL in debian/ folder (copied from firefox package)
    - and mention in debian/docs file

 -- Scott Ritchie <scottritchie@ubuntu.com>  Fri, 26 Sep 2008 13:57:28 -0700
