=== debian/control ===
Source: wine1.2-gecko
Section: otherosfs
Priority: optional
Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1

Package: wine1.2-gecko
Architecture: i386 amd64
Pre-Depends: dpkg (>= 1.14.12ubuntu3)
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: wine1.2
Conflicts: wine-gecko
Replaces: wine-gecko
Homepage: http://www.winehq.org/
Description: Microsoft Windows Compatibility Layer (Web Browser)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package includes the Gecko rendering engine from the Mozilla project for
 displaying web pages in Wine's fake Internet Explorer.
